# codat-common

<!-- Start SDK Installation -->
## SDK Installation

```bash
pip install codat-common
```
<!-- End SDK Installation -->

## SDK Example Usage
<!-- Start SDK Example Usage -->
```python
import codatcommon
from codatcommon.models import operations, shared

s = codatcommon.CodatCommon(
    security=shared.Security(
        auth_header="YOUR_API_KEY_HERE",
    ),
)


req = shared.CompanyRequestBody(
    description="corrupti",
    name="Kelvin Sporer",
)
    
res = s.companies.create_company(req)

if res.company is not None:
    # handle response
```
<!-- End SDK Example Usage -->

<!-- Start SDK Available Operations -->
## Available Resources and Operations


### companies

* `create_company` - Create company
* `delete_company` - Delete a company
* `get_company` - Get company
* `list_companies` - List companies
* `update_company` - Update company

### connections

* `create_data_connection` - Create a data connection
* `delete_company_connection` - Delete connection
* `get_company_connection` - Get connection
* `list_company_connections` - List connections
* `unlink_company_connection` - Unlink connection
* `update_connection_authorization` - Update authorization

### data_status

* `get_company_data_history` - Get pull operations
* `get_company_data_status` - Get data status
* `get_pull_operation` - Get pull operation

### integrations

* `get_integration` - Get integration
* `get_integrations_branding` - Get branding
* `list_integrations` - List integrations

### push_data

* `get_company_push_history` - List push operations
* `get_create_update_model_options_by_data_type` - List push options
* `get_push_operation` - Get push operation

### refresh_data

* `create_pull_operation` - Queue pull operation
* `refresh_company_data` - Queue pull operations

### settings

* `get_profile` - Get profile
* `get_profile_sync_settings` - Get sync settings
* `update_profile` - Update profile
* `update_sync_settings` - Update all sync settings

### webhooks

* `create_rule` - Create webhook
* `get_webhook` - Get webhook
* `list_rules` - List webhooks
<!-- End SDK Available Operations -->

### SDK Generated by [Speakeasy](https://docs.speakeasyapi.dev/docs/using-speakeasy/client-sdks)
